package biblioteca;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.SpringLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class JInputLibro extends JDialog {

	public static final int CANCEL_OPTION = 0;
	public static final int OK_OPTION = 1;

	private int action = CANCEL_OPTION;
	
	private final JPanel contentPanel = new JPanel();
	private JTextField txtAutore;
	private JTextField txtTitolo;
	private JTextField txtEditore;
	private JTextField txtPagine;
	private JTextField txtPrezzo;
	private JTextField txtIsbn;
	private JButton btnOK;
	private JButton btnAnnulla;
	private JLabel lblAutore;
	private JLabel lblTitolo;
	private JLabel lblEditore;
	private JLabel lblPagine;
	private JLabel lblPrezzo;
	private JLabel lblIsbn;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			JInputLibro dialog = new JInputLibro();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public JInputLibro() {
		setModal(true);
		setTitle("Inserisci i dati del libro");
		setBounds(100, 100, 430, 250);
		getContentPane().add(contentPanel);
		SpringLayout sl_contentPanel = new SpringLayout();
		contentPanel.setLayout(sl_contentPanel);
		{
			txtAutore = new JTextField();
			sl_contentPanel.putConstraint(SpringLayout.NORTH, txtAutore, 10, SpringLayout.NORTH, contentPanel);
			sl_contentPanel.putConstraint(SpringLayout.WEST, txtAutore, 60, SpringLayout.WEST, contentPanel);
			contentPanel.add(txtAutore);
			txtAutore.setColumns(20);
		}
		{
			txtTitolo = new JTextField();
			sl_contentPanel.putConstraint(SpringLayout.NORTH, txtTitolo, 6, SpringLayout.SOUTH, txtAutore);
			sl_contentPanel.putConstraint(SpringLayout.WEST, txtTitolo, 0, SpringLayout.WEST, txtAutore);
			contentPanel.add(txtTitolo);
			txtTitolo.setColumns(30);
		}
		{
			txtEditore = new JTextField();
			sl_contentPanel.putConstraint(SpringLayout.NORTH, txtEditore, 8, SpringLayout.SOUTH, txtTitolo);
			sl_contentPanel.putConstraint(SpringLayout.WEST, txtEditore, 0, SpringLayout.WEST, txtAutore);
			contentPanel.add(txtEditore);
			txtEditore.setColumns(15);
		}
		{
			txtPagine = new JTextField();
			sl_contentPanel.putConstraint(SpringLayout.NORTH, txtPagine, 6, SpringLayout.SOUTH, txtEditore);
			sl_contentPanel.putConstraint(SpringLayout.WEST, txtPagine, 0, SpringLayout.WEST, txtAutore);
			contentPanel.add(txtPagine);
			txtPagine.setColumns(5);
		}
		{
			txtPrezzo = new JTextField();
			sl_contentPanel.putConstraint(SpringLayout.NORTH, txtPrezzo, 6, SpringLayout.SOUTH, txtPagine);
			sl_contentPanel.putConstraint(SpringLayout.WEST, txtPrezzo, 0, SpringLayout.WEST, txtAutore);
			contentPanel.add(txtPrezzo);
			txtPrezzo.setColumns(5);
		}
		{
			txtIsbn = new JTextField();
			sl_contentPanel.putConstraint(SpringLayout.NORTH, txtIsbn, 6, SpringLayout.SOUTH, txtPrezzo);
			sl_contentPanel.putConstraint(SpringLayout.WEST, txtIsbn, 0, SpringLayout.WEST, txtAutore);
			contentPanel.add(txtIsbn);
			txtIsbn.setColumns(10);
		}
		{
			btnAnnulla = new JButton("Annulla");
			btnAnnulla.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					action = CANCEL_OPTION;
					setVisible(false);
				}
			});
			sl_contentPanel.putConstraint(SpringLayout.SOUTH, btnAnnulla, -10, SpringLayout.SOUTH, contentPanel);
			sl_contentPanel.putConstraint(SpringLayout.EAST, btnAnnulla, -10, SpringLayout.EAST, contentPanel);
			contentPanel.add(btnAnnulla);
		}
		{
			btnOK = new JButton("OK");
			btnOK.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent arg0) {
					action = OK_OPTION;
					setVisible(false);
				}
			});
			sl_contentPanel.putConstraint(SpringLayout.NORTH, btnOK, 0, SpringLayout.NORTH, btnAnnulla);
			sl_contentPanel.putConstraint(SpringLayout.EAST, btnOK, -6, SpringLayout.WEST, btnAnnulla);
			contentPanel.add(btnOK);
		}
		{
			lblAutore = new JLabel("Autore");
			sl_contentPanel.putConstraint(SpringLayout.NORTH, lblAutore, 3, SpringLayout.NORTH, txtAutore);
			sl_contentPanel.putConstraint(SpringLayout.EAST, lblAutore, -6, SpringLayout.WEST, txtAutore);
			contentPanel.add(lblAutore);
		}
		{
			lblTitolo = new JLabel("Titolo");
			sl_contentPanel.putConstraint(SpringLayout.NORTH, lblTitolo, 3, SpringLayout.NORTH, txtTitolo);
			sl_contentPanel.putConstraint(SpringLayout.EAST, lblTitolo, -6, SpringLayout.WEST, txtTitolo);
			contentPanel.add(lblTitolo);
		}
		{
			lblEditore = new JLabel("Editore");
			sl_contentPanel.putConstraint(SpringLayout.NORTH, lblEditore, 3, SpringLayout.NORTH, txtEditore);
			sl_contentPanel.putConstraint(SpringLayout.EAST, lblEditore, -6, SpringLayout.WEST, txtEditore);
			contentPanel.add(lblEditore);
		}
		{
			lblPagine = new JLabel("Pagine");
			sl_contentPanel.putConstraint(SpringLayout.NORTH, lblPagine, 3, SpringLayout.NORTH, txtPagine);
			sl_contentPanel.putConstraint(SpringLayout.EAST, lblPagine, -6, SpringLayout.WEST, txtPagine);
			contentPanel.add(lblPagine);
		}
		{
			lblPrezzo = new JLabel("Prezzo");
			sl_contentPanel.putConstraint(SpringLayout.NORTH, lblPrezzo, 3, SpringLayout.NORTH, txtPrezzo);
			sl_contentPanel.putConstraint(SpringLayout.EAST, lblPrezzo, -6, SpringLayout.WEST, txtPrezzo);
			contentPanel.add(lblPrezzo);
		}
		{
			lblIsbn = new JLabel("ISBN");
			sl_contentPanel.putConstraint(SpringLayout.NORTH, lblIsbn, 3, SpringLayout.NORTH, txtIsbn);
			sl_contentPanel.putConstraint(SpringLayout.EAST, lblIsbn, -6, SpringLayout.WEST, txtIsbn);
			contentPanel.add(lblIsbn);
		}
	}

	public int showDialog() {
		setVisible(true);
		return action;
	}
	
	public Libro getLibro() {
		return new Libro(txtAutore.getText(), txtTitolo.getText(), txtEditore.getText(),
				Integer.parseInt(txtPagine.getText()), Double.parseDouble(txtPrezzo.getText()), txtIsbn.getText());
	}
}
